import { PythonProject } from "projen/lib/python";
import { GeneratedPythonProjectOptions } from "../../../types";
import { GeneratedPythonRuntimeProject } from "../../runtime/generated-python-runtime-project";
export interface GeneratedPythonCdkInfrastructureProjectOptions extends GeneratedPythonProjectOptions {
    /**
     * OpenAPI spec path, relative to the project outdir
     */
    readonly specPath: string;
    /**
     * The generated python types
     */
    readonly generatedPythonTypes: GeneratedPythonRuntimeProject;
}
export declare class GeneratedPythonCdkInfrastructureProject extends PythonProject {
    /**
     * Path to the openapi specification
     * @private
     */
    private readonly specPath;
    /**
     * The generated python types
     * @private
     */
    private readonly generatedPythonTypes;
    constructor(options: GeneratedPythonCdkInfrastructureProjectOptions);
    buildGenerateCommand: () => import("../../components/utils").CommandDetails;
}
